{pkgs, ...}: {
  programs.vim = {
    enable = true;
    settings = {
      background = "dark";
      copyindent = true;
      expandtab = false;
      hidden = true;
      history = 100;
      ignorecase = false;
      modeline = true;
      mousefocus = false;
      number = true;
      relativenumber = true;
      shiftwidth = 2;
      tabstop = 2;
    };
    plugins = with pkgs.vimPlugins; [
      onedark-vim
      everforest
      terminus
      vim-fugitive
      vim-gitgutter
    ];
    extraConfig = ''
      set scrolloff=5
      set hlsearch
      set signcolumn=yes
      colorscheme everforest
      set updatetime=100
    '';
  };

  home.file.".vim/after/plugin/terminus.vim".text = ''
    let &t_SI="\e[6 q"
    let &t_EI="\e[2 q"
  '';
}
